Edge (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.edge
Interface Edge

All Superinterfaces:
  Element

All Known Implementing Classes:
  GraphEdge, WeightedEdge

    public interface Edge

extends Element

Author:
  Johan Hall

Field Summary
`static int` | `DEPENDENCY_EDGE`
`static int` | `PHRASE_STRUCTURE_EDGE`
`static int` | `SECONDARY_EDGE`

Method Summary
`Node` | `getSource()` Returns the source node of the edge.
`Node` | `getTarget()` Returns the target node of the edge.
`int` | `getType()` Returns the edge type (DEPENDENCY_EDGE, PHRASE_STRUCTURE_EDGE or SECONDARY_EDGE).
`void` | `setEdge(Node source, Node target, int type)` Sets the edge with a source node, a target node and a type (DEPENDENCY_EDGE, PHRASE_STRUCTURE_EDGE or SECONDARY_EDGE).

Methods inherited from interface org.maltparser.core.syntaxgraph.Element
`addLabel, addLabel, addLabel, clear, getBelongsToGraph, getLabelCode, getLabelSet, getLabelSymbol, getLabelTypes, hasLabel, isLabeled, nLabels, removeLabel, removeLabels, setBelongsToGraph`

Field Detail

### DEPENDENCY_EDGE

    static final int DEPENDENCY_EDGE

See Also:
  Constant Field Values

### PHRASE_STRUCTURE_EDGE

    static final int PHRASE_STRUCTURE_EDGE

See Also:
  Constant Field Values

### SECONDARY_EDGE

    static final int SECONDARY_EDGE

See Also:
  Constant Field Values

Method Detail

### setEdge

    void setEdge(Node source,
                 Node target,
                 int type)
                 throws MaltChainedException

  Sets the edge with a source node, a target node and a type (DEPENDENCY_EDGE, PHRASE_STRUCTURE_EDGE or SECONDARY_EDGE).

  Parameters:
    `source` - a source node
    `target` - a target node
    `type` - a type (DEPENDENCY_EDGE, PHRASE_STRUCTURE_EDGE or SECONDARY_EDGE)
  Throws:
    `MaltChainedException`

### getSource

    Node getSource()

  Returns the source node of the edge.

  Returns:
    the source node of the edge.

### getTarget

    Node getTarget()

  Returns the target node of the edge.

  Returns:
    the target node of the edge.

### getType

    int getType()

  Returns the edge type (DEPENDENCY_EDGE, PHRASE_STRUCTURE_EDGE or SECONDARY_EDGE).

  Returns:
    the edge type (DEPENDENCY_EDGE, PHRASE_STRUCTURE_EDGE or SECONDARY_EDGE).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.